Subject: IPP> Delay of IPP ratification

From: Paul Moore <[email-masked]>
Date: Fri, 9 Jan 1998 10:21:33 -0800

This is a formal request that we delay the finalization of the IPP spec
until we have looked at the possibility of using XML as the protocol format.

I know this is revisiting an old issue but we need to make sure we do the
right thing. When the current format was proposed there was no good method
for representing structured data in an ASCII data stream. XML is now
available and seem to be the coming wave. I also know that most of the new
standards that will come out over the next year will be based around XML
(and protocol specific HTTP commands). By ensuring that we are in the centre
of these standards we will be able to leverage many common tools that will
emerge to support and manage these protocols.

There will definitely be down-sides so we need to debate this issue - not
least the investment that some of us have already made in building using the
current spec.

I think that somebody from MS will be in Hawaii.

Paul Moore